Debian Bug report logs - #658866
Call-time pass-by-reference has been removed from php5 (>= 5.4)

version graph

Package: horde3; Maintainer for horde3 is Horde Maintainers <pkg-horde-hackers@lists.alioth.debian.org>;

Reported by: Ondřej Surý <ondrej@debian.org>

Date: Mon, 6 Feb 2012 13:57:14 UTC

Severity: serious

Found in version horde3/3.3.12+debian0-1

Fixed in version horde3/3.3.12+debian0-2.1

Done: Thomas Goirand <zigo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Horde Maintainers <pkg-horde-hackers@lists.alioth.debian.org>:
Bug#658866; Package horde3. (Mon, 06 Feb 2012 13:57:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@debian.org>:
New Bug report received and forwarded. Copy sent to Horde Maintainers <pkg-horde-hackers@lists.alioth.debian.org>. (Mon, 06 Feb 2012 13:57:17 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Call-time pass-by-reference has been removed from php5 (>= 5.4)
Date: Mon, 06 Feb 2012 14:53:44 +0100
Package: horde3
Version: 3.3.12+debian0-1
Severity: important
User: pkg-php-maint@lists.alioth.debian.org
Usertags: php54

Dear maintainer,

package horde3 currently fails to parse correctly with
PHP 5.4 with following error(s):

PHP Fatal error:  Call-time pass-by-reference has been removed in /usr/share/horde3/lib/Horde/Kolab/Test/Filter.php on line 135
Errors parsing /usr/share/horde3/lib/Horde/Kolab/Test/Filter.php
xargs: php5: exited with status 255; aborting

These error were generated by php in the lint mode.  To reproduce
please install php5-cli and run:

dpkg -L horde3 | grep -E ".php[54]?" | xargs -i php -l {}

PHP 5.4 is planned to be included in wheezy, as such, this bug might
become RC if not fixed before 5.4 is uploaded to sid.

Thanks, 
--
Ondřej Surý <ondrej@debian.org>

-- System Information:
Debian Release: 6.0.4
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Horde Maintainers <pkg-horde-hackers@lists.alioth.debian.org>:
Bug#658866; Package horde3. (Mon, 06 Feb 2012 15:12:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@debian.org>:
Extra info received and forwarded to list. Copy sent to Horde Maintainers <pkg-horde-hackers@lists.alioth.debian.org>. (Mon, 06 Feb 2012 15:12:18 GMT) Full text and rfc822 format available.

Message #10 received at 658866@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: Debian Bug Tracking System <658866@bugs.debian.org>
Subject: Re: pass-by-reference has been removed from php5 (>= 5.4)
Date: Mon, 06 Feb 2012 16:05:19 +0100
Package: horde3
Severity: normal

Dear maintainer,

after re-running the xargs to not stop on fail I have found one
more Fatal error in horde3 code:

# dpkg -L horde3 | grep -E ".php[54]?" | xargs -i sh -c "php -l {} || true" | grep -v "No syntax errors detected"
PHP Fatal error:  Call-time pass-by-reference has been removed in /usr/share/horde3/lib/Horde/Kolab/Test/Filter.php on line 135
Errors parsing /usr/share/horde3/lib/Horde/Kolab/Test/Filter.php
PHP Fatal error:  Call-time pass-by-reference has been removed in /usr/share/horde3/lib/Horde/Auth/pam.php on line 86
Errors parsing /usr/share/horde3/lib/Horde/Auth/pam.php

Regards,
Ondřej Surý <ondrej@debian.org>

-- System Information:
Debian Release: 6.0.4
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Severity set to 'serious' from 'important' Request was from Adrian Bunk <bunk@stusta.de> to control@bugs.debian.org. (Fri, 30 Mar 2012 15:24:03 GMT) Full text and rfc822 format available.

Added indication that bug 658866 blocks 666411 Request was from Adrian Bunk <bunk@stusta.de> to control@bugs.debian.org. (Fri, 30 Mar 2012 15:24:15 GMT) Full text and rfc822 format available.

Reply sent to Thomas Goirand <zigo@debian.org>:
You have taken responsibility. (Mon, 30 Apr 2012 05:18:16 GMT) Full text and rfc822 format available.

Notification sent to Ondřej Surý <ondrej@debian.org>:
Bug acknowledged by developer. (Mon, 30 Apr 2012 05:18:16 GMT) Full text and rfc822 format available.

Message #19 received at 658866-close@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: 658866-close@bugs.debian.org
Subject: Bug#658866: fixed in horde3 3.3.12+debian0-2.1
Date: Mon, 30 Apr 2012 05:17:22 +0000
Source: horde3
Source-Version: 3.3.12+debian0-2.1

We believe that the bug you reported is fixed in the latest version of
horde3, which is due to be installed in the Debian FTP archive:

horde3_3.3.12+debian0-2.1.debian.tar.gz
  to main/h/horde3/horde3_3.3.12+debian0-2.1.debian.tar.gz
horde3_3.3.12+debian0-2.1.dsc
  to main/h/horde3/horde3_3.3.12+debian0-2.1.dsc
horde3_3.3.12+debian0-2.1_all.deb
  to main/h/horde3/horde3_3.3.12+debian0-2.1_all.deb
pear-horde-channel_3.3.12+debian0-2.1_all.deb
  to main/h/horde3/pear-horde-channel_3.3.12+debian0-2.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 658866@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Goirand <zigo@debian.org> (supplier of updated horde3 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Mon, 30 Apr 2012 04:53:30 +0000
Source: horde3
Binary: horde3 pear-horde-channel
Architecture: source all
Version: 3.3.12+debian0-2.1
Distribution: unstable
Urgency: low
Maintainer: Horde Maintainers <pkg-horde-hackers@lists.alioth.debian.org>
Changed-By: Thomas Goirand <zigo@debian.org>
Description: 
 horde3     - horde web application framework
 pear-horde-channel - pear.horde.org channel
Closes: 658866
Changes: 
 horde3 (3.3.12+debian0-2.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fixed Call-time pass-by-reference (Closes: #658866).
Checksums-Sha1: 
 501200b878751483b21f35170732e9b878857167 1464 horde3_3.3.12+debian0-2.1.dsc
 1b9ad695872a22acbee35cce65fb4f2e121bf746 28844 horde3_3.3.12+debian0-2.1.debian.tar.gz
 a0310bff19791ff41c1e1beeb4621a1a7a39381e 7789482 horde3_3.3.12+debian0-2.1_all.deb
 649fed324aab3f96f53ab6936e09d3b77c1bcf7e 17206 pear-horde-channel_3.3.12+debian0-2.1_all.deb
Checksums-Sha256: 
 2ca19fd78d930a9b42a8448906f53af5aa3593d393d0d5f12a3172d34383c706 1464 horde3_3.3.12+debian0-2.1.dsc
 282879a87f62cb991877ad63c87f86943196952921b70fa35e624384451672b7 28844 horde3_3.3.12+debian0-2.1.debian.tar.gz
 8767ca862dba5b7c679f04256ba0fbd3b2e2e14e43710854864837bb8f8af469 7789482 horde3_3.3.12+debian0-2.1_all.deb
 e60260982a282f3540ec1402a7cade1c0fd71ec8b6cf2a979109858dfb57f56f 17206 pear-horde-channel_3.3.12+debian0-2.1_all.deb
Files: 
 21d58c8fdd8911175b18fdb1f0caf1e5 1464 web optional horde3_3.3.12+debian0-2.1.dsc
 ec736e7e0c9b5c0a1699f983580b372c 28844 web optional horde3_3.3.12+debian0-2.1.debian.tar.gz
 d54afefff6bedd1c232179dc1fca0ae2 7789482 web optional horde3_3.3.12+debian0-2.1_all.deb
 2eb83c2f2ce733e843c356c626b8d970 17206 web optional pear-horde-channel_3.3.12+debian0-2.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEAREDAAYFAk+eHJsACgkQl4M9yZjvmknAswCgwLMp5hWdXXK/c75mBQHXAYBT
srAAn0KxvjGLqRuTYk3UX2b0EBXx5vy3
=qAqx
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 07 Jun 2012 07:41:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:43:25 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.